SMSC(4)

NAME
smsc - USB SMSC LAN9xxx Fast Ethernet driver

SYNOPSIS
To load the driver as a module at boot time, place the following line in loader.conf(5):

    if_smsc_load="YES"

Alternatively, to compile this driver into the kernel, place the following lines in your kernel configuration file:

device uhci
device ohci
device usb
device miibus
device uether
device smsc

DESCRIPTION
The smsc device driver provides support for USB Fast Ethernet adapters based on the SMSC LAN9xxx chipsets.

For more information on configuring this device, see ifconfig(8).

HARDWARE
The following devices are supported by the smsc driver:

•   SMSC LAN9500, LAN9500A, LAN9505 and LAN9505A based Ethernet adapters
•   SMSC LAN89530, LAN9530 and LAN9730 based Ethernet adapters
•   SMSC LAN951x Ethernet adapters with integrated USB hub

SEE ALSO
arp(4), intro(4), miibus(4), netintro(4), usb(4), ifconfig(8)

HISTORY
The smsc device driver first appeared in FreeBSD 10.0.

AUTHORS
-nosplit The smsc driver was written by Ben Gray <bgray@FreeBSD.org>.